version: '3.6'

services:
  principal:
    image: postgres:14
    ports:
      - target: 5432
        published: 5433
        protocol: tcp
        mode: host
    environment:
      - POSTGRES_PASSWORD=123456
      - PGADATA=/var/lib/postgresql/data
    volumes:
      - ./principal:/var/lib/postgresql/data
      - type: tmpfs
        target: /dev/shm
  replica-1:
    image: postgres:14
    ports:
      - target: 5432
        published: 5434
        protocol: tcp
        mode: host
    environment:
      - POSTGRES_PASSWORD=123456
#      - PGADATA=/var/lib/postgresql/data-replica
      - PGADATA=/opt
    volumes:
      - ./replica-1:/var/lib/postgresql/data
      - ./pgpass:/home/postgres/.pgpass
      - type: tmpfs
        target: /dev/shm